Create notification channel
POST /dashboard/notification-channels
POST
/dashboard/notification-channels
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
type
required
string
name
required
string
config
required
Type-specific configuration
object
Examples
Email channel
{ "type": "email", "name": "Team Email", "config": { }}Slack channel
{ "type": "slack", "name": "Slack Alerts", "config": { "webhookUrl": "https://hooks.slack.com/services/..." }}Discord channel
{ "type": "discord", "name": "Discord Alerts", "config": { "webhookUrl": "https://discord.com/api/webhooks/..." }}LINE channel
{ "type": "line", "name": "LINE Alert", "config": { "channelAccessToken": "your-channel-access-token", "to": "U1234567890abcdef1234567890abcdef" }}Webhook channel
{ "type": "webhook", "name": "Custom Webhook", "config": { "url": "https://example.com/webhook", "secret": "your-secret" }}PagerDuty channel
{ "type": "pagerduty", "name": "PagerDuty Alerts", "config": { "routingKey": "0123456789abcdef0123456789abcdef" }}Datadog channel
{ "type": "datadog", "name": "Datadog Events", "config": { "apiKey": "your-dd-api-key", "site": "datadoghq.com" }}GitHub Issues channel
{ "type": "github", "name": "GitHub Issues", "config": { "token": "ghp_your_personal_access_token", "owner": "acme", "repo": "ops-incidents", "labels": [ "incident", "manako" ] }}Grafana Annotations channel
{ "type": "grafana", "name": "Grafana Annotations", "config": { "apiToken": "glc_your_cloud_access_policy_token", "pushUrl": "https://your-stack.grafana.net" }}Jira Cloud channel
{ "type": "jira", "name": "Jira Incidents", "config": { "apiToken": "your-atlassian-api-token", "siteUrl": "https://your-site.atlassian.net", "projectKey": "OPS", "issueTypeName": "Bug" }}Responses
Section titled “ Responses ”Channel created
object
channel
Created notification channel
object
verificationSent
True if a verification email was sent (email channels only)
boolean
Validation error